Subject: Re: Git over HTTP; have flexible SASL authentication

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Jan 2023 09:06:36 -0800

Rick van Rein <[email-masked]> writes:

> Git providers are inventing proprietary extensions to HTTP authentication
> for Git.  It seems smarter to use SASL for this purpose, possibly allowing
> the client a choice and authentication ringback to the client's own domain.

To adopt things like this, the work to extend how to make extensible
what is on WWW-Authenticate in the thread that contains this recent
message https://lore.kernel.org/git/[email-masked]/
may be relevant, perhaps?